# studio::Widget_Sound Class Reference

`#include <widget_sound.h>`

Inheritance diagram for studio::Widget_Sound:

List of all members.

## Public Member Functions

| Widget_Sound ()
| ~Widget_Sound ()
bool | set_profile (etl::handle< AudioProfile > p)
etl::handle< AudioProfile > | get_profile () const
sigc::signal1< void, double > & | signal_start_scrubbing ()
sigc::signal1< void, double > & | signal_scrub ()
sigc::signal0< void > & | signal_stop_scrubbing ()
void | set_position (double t)
double | get_position () const
void | draw ()
void | clear ()

## Constructor & Destructor Documentation

studio::Widget_Sound::Widget_Sound | ( |  | ) |

studio::Widget_Sound::~Widget_Sound | ( |  | ) |

## Member Function Documentation

bool studio::Widget_Sound::set_profile | ( | etl::handle< AudioProfile > | p | ) |

References clear().

Referenced by studio::Widget_Preview::set_audioprofile().

etl::handle< AudioProfile > studio::Widget_Sound::get_profile | ( |  | ) | const

sigc::signal1<void,double>& studio::Widget_Sound::signal_start_scrubbing | ( |  | ) | `[inline]`

Referenced by studio::Widget_Preview::set_audio(), and studio::Widget_Preview::Widget_Preview().

sigc::signal1<void,double>& studio::Widget_Sound::signal_scrub | ( |  | ) | `[inline]`

Referenced by studio::Widget_Preview::set_audio(), and studio::Widget_Preview::Widget_Preview().

sigc::signal0<void>& studio::Widget_Sound::signal_stop_scrubbing | ( |  | ) | `[inline]`

Referenced by studio::Widget_Preview::set_audio().

void studio::Widget_Sound::set_position | ( | double | t | ) |

References studio::Widget_Timeslider::adj_timescale.

double studio::Widget_Sound::get_position | ( |  | ) | const

References studio::Widget_Timeslider::adj_timescale.

void studio::Widget_Sound::draw | ( |  | ) |

Reimplemented from studio::Widget_Timeslider.

void studio::Widget_Sound::clear | ( |  | ) |

Referenced by set_profile().

The documentation for this class was generated from the following files:

- widget_sound.h
- widget_sound.cpp